namespace MergedCellBorderExport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            FarPoint.Win.ComplexBorderSide topborder2 = new FarPoint.Win.ComplexBorderSide(System.Drawing.Color.Black, 2);
            FarPoint.Win.ComplexBorderSide leftborder2 = new FarPoint.Win.ComplexBorderSide(System.Drawing.Color.Black, 2);
            FarPoint.Win.ComplexBorderSide rightborder2 = new FarPoint.Win.ComplexBorderSide(System.Drawing.Color.Black, 2);
            FarPoint.Win.ComplexBorderSide bottomborder2 = new FarPoint.Win.ComplexBorderSide(System.Drawing.Color.Black, 2);
            FarPoint.Win.ComplexBorderSide dborder0 = new FarPoint.Win.ComplexBorderSide(System.Drawing.Color.Black, 0);
            FarPoint.Win.ComplexBorder bord2222 = new FarPoint.Win.ComplexBorder(leftborder2, topborder2, rightborder2, bottomborder2, dborder0, true, true);
            fpSpread1.Sheets[0].SetRowMerge(-1, FarPoint.Win.Spread.Model.MergePolicy.Always);
            fpSpread1.Sheets[0].SetColumnMerge(-1, FarPoint.Win.Spread.Model.MergePolicy.Always);
            fpSpread1.Sheets[0].Cells[3, 4].Value = "Title over three columns";
            fpSpread1.Sheets[0].Cells[3, 4].ColumnSpan = 3;
            fpSpread1.Sheets[0].Cells[4, 4].Value = "Subtitle 1";
            fpSpread1.Sheets[0].Cells[4, 5].Value = "Subtitle 2";
            fpSpread1.Sheets[0].Cells[4, 6].Value = "Subtitle 3";



            fpSpread1.Sheets[0].Cells[3, 4].Border = bord2222;
            fpSpread1.Sheets[0].Cells[3, 5].Border = bord2222;
            fpSpread1.Sheets[0].Cells[3, 6].Border = bord2222;
            fpSpread1.Sheets[0].Cells[4, 4].Border = bord2222;
            fpSpread1.Sheets[0].Cells[4, 5].Border = bord2222;
            fpSpread1.Sheets[0].Cells[4, 6].Border = bord2222;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                fpSpread1.SaveExcel("C:\\temp\\NewTest.xlsx", FarPoint.Excel.ExcelSaveFlags.UseOOXMLFormat | FarPoint.Excel.ExcelSaveFlags.SaveAsViewed);
                MessageBox.Show("File saved successfully!!");
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error saving file!! Description: " + ex.Message);
            }
        }
    }
}